## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDocumentBuilder Class Reference

This is abstract base class designed to allow a XalanTranfomer object to use a document that is build dynamically by a user. More...

`#include <XalanDocumentBuilder.hpp>`

Inheritance diagram for XalanDocumentBuilder

Collaboration diagram for XalanDocumentBuilder:

List of all members.

## Public Methods

- virtual ~XalanDocumentBuilder ()
- virtual XalanDocument* getDocument () const = 0
    Get a pointer to the XalanDocument instance for the source document. More...
- virtual XalanParsedSourceHelper* createHelper () const = 0
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance. More...
- virtual const XalanDOMString& getURI () const = 0
    Get the URI for the parsed source, if any. More...
- virtual ContentHandlerType* getContentHandler () = 0
- virtual DTDHandlerType* getDTDHandler () = 0
- virtual LexicalHandlerType* getLexicalHandler () = 0

## Detailed Description

This is abstract base class designed to allow a XalanTranfomer object to use a document that is build dynamically by a user.

## Constructor & Destructor Documentation

XalanDocumentBuilder::~XalanDocumentBuilder ( | )`[virtual]`

## Member Function Documentation

virtual XalanParsedSourceHelper* XalanDocumentBuilder::createHelper ( | ) const`[pure virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Reimplemented from XalanParsedSource.

Reimplemented in XalanDefaultDocumentBuilder.

virtual ContentHandlerType* XalanDocumentBuilder::getContentHandler ( | )`[pure virtual]`

Reimplemented in XalanDefaultDocumentBuilder.

virtual DTDHandlerType* XalanDocumentBuilder::getDTDHandler ( | )`[pure virtual]`

Reimplemented in XalanDefaultDocumentBuilder.

virtual XalanDocument* XalanDocumentBuilder::getDocument ( | ) const`[pure virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Reimplemented from XalanParsedSource.

Reimplemented in XalanDefaultDocumentBuilder.

virtual LexicalHandlerType* XalanDocumentBuilder::getLexicalHandler ( | )`[pure virtual]`

Reimplemented in XalanDefaultDocumentBuilder.

virtual const XalanDOMString& XalanDocumentBuilder::getURI ( | ) const`[pure virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Reimplemented from XalanParsedSource.

Reimplemented in XalanDefaultDocumentBuilder.

The documentation for this class was generated from the following file:

- XalanDocumentBuilder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.